Skip to main content

Bank Inventory

info

本文档无中文版本,

请查看其他语言。

Endpoint for Bank API


Mobage Simplified Chinese Platform

Production Bankhttp://sp.mobage-platform.cn/social/api/restful/v2.02
Sandbox Bankhttp://sp.sb.mobage-platform.cn/social/api/restful/v2.02
EnvironmentURL
------

Mobage Traditional Chinese Platform

EnvironmentURL
Production Bankhttp://sp.mobage-platform.tw/social/api/restful/v2.02
Sandbox Bankhttp://sp.sb.mobage-platform.tw/social/api/restful/v2.02
API NameHTTP MethodREST URI FragmentDescription
Get Bank InventoryGET

/bank/inventory/{appId}/{-list|,|itemId}

Retrieve item resource.
GET/bank/inventory/{appId}Retrieve an collection of item resources.

Data Type Definition

BankItem

NameTypeDescription
idStringUnique item identifier. ALPHA / DIGIT / "_". 64 or less characters.
nameStringItem name
priceNumberItem price
descriptionStringItem description
imageUrlStringImage URL of the Item

 

Get Bank Inventory

Description​

Retrieve item resource or collection.

URI Fragment​

/bank/inventory/{appId}/{-list|,|itemId}

/bank/inventory/{appId}

Supported Formats​

JSON

HTTP Method​

GET

REST Query and URI Template Parameters​

NameTypeRequired/OptionalParameterDescription
appIdAppIdRequiredURI Template ParametersOnly @app is specifiable
itemIdItemId, Array<ItemId>OptionalURI Template Parameters 
fieldsArrayOptionalQuery String 
formatStringOptionalQuery StringOnly json is specifiable
countNumberOptionalQuery StringAn integer between 1 and 1000. The default value is 50.
startIndexNumberOptionalQuery StringAn integer of 1 or greater

Request Headers​

Any request to the Mobage REST APIs must include the Authorization header. For more details, see How to add the Authorization Header . 

Response Status Code​

HTTP Status CodeHTTP Status MessageMeaning
200OKData successfully acquired
400Bad RequestCorrupt request data on the client side
401UnauthorizedAuthorization error
403ForbiddenThe resource exists, but access is not possible due to a reason other than an authorization error.
404Not FoundThe resource doesn’t exist
500Internal Server ErrorAn error on the API server side
503Service UnavailableThe API cannot be used temporarily

Response Body​

  • BankItem (in the case of specifying single itemId)
  • Collection of BankItem (in all other cases)

Example 1. Retrieve Single Item's Resource​

HTTPS Request

GET /social/api/restful/v2.02/bank/inventory/@app/XXXXXXXXX

HTTPS Response

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"id" : "XXXXXXXXX"
}

Example 2. Retrieve All Items' Resources​

HTTPS Request

GET /social/api/restful/v2.02/bank/inventory/@app

HTTPS Response

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"entry" : [
{
"id" : "XXXXXXXXX"
},
{
"id" : "YYYYYYYYY"
}
],
"startIndex" : 1,
"sorted" : false,
"updatedSince" : false,
"itemsPerPage" : 50,
"totalResults" : 2,
"filtered" : false
}

How to Add the Authorization Header

Step 1. Create the base string**​
  1. build a string for OAuth parameters:  firstly sort the following parameters alphabetically and URL encode the names and values, then join name and value with "=", finally join name/value pairs with "&" 
ParameterDescriptionValue
oauth_consumer_keyThe Consumer Key for the applicationIssued when resist the application
oauth_nonceUnique value for each requestGenerated on the game server
oauth_signature_methodHash methodOnly HMAC-SHA1 is specifiable
oauth_timestampUNIX timestampGenerated on the game server
oauth_tokenThe token code

oauth_token is obtained from the token credential.

oauth_versionOAuth versionOnly 1.0
  1. URL encode the following three parameters.
ParameterDescription
Request MethodHTTP Method to the API Server
API URLURL to the API Server (exclude query parameters)
OAuth ParametersA string Built in previous step
  1. join the encoded parameters with "&".
Step 2. Generate the oauth_signature​
  1. Build a secret by joining the Consumer Secret and  the Token Secret (obtained from the token credential) with "&".

  2. Pass the base string and secret to the HMAC-SHA1 hashing algorithm.

  3. the output of HMAC-SHA1 hashing algorithm is a binary string. Use base64 encode to produce the signature string.

A tool is provided to verify whether your signature is correct. Refer to Oauth Signature Tool.

Step 3. Build the Authorization Header​

Follow the steps to build the “Authorization” header:

  1. URL encode the parameter names and values in the table below

  2. Double quote the value, join name and value with "=", join name/value pairs with "," 

  3. Add realm parameter as an option

  4. Add "OAuth " (including the space at the end) to the beginning of the header.

ParameterValue
oauth_consumer_keyIssued when resist the application
oauth_nonceGenerated on the game server
oauth_signatureGenerated on the game server, Refer to Step 2. Generate the oauth_signature
oauth_signature_methodonly "HMAC-SHA1" is specifiable
oauth_timestampGenerated on the game server
oauth_token

oauth_token is obtained from the token credential.

oauth_versionOnly 1.0
Authorization Header Example​
OAuth realm="", oauth_consumer_key="195dcf3f2b64da74549f", oauth_nonce="abb5031d1d767d3626e4", oauth_signature="nzWySwCI9oIUU9mSTnIvrti7V7I%3D", oauth_signature_method="HMAC-SHA1", oauth_timestamp="1363057344", oauth_token="sp_client_id%3A6317c85392724d8914904f708f16d01d", oauth_version="1.0"